*,*::before,*::after{
    margin: 0;
    padding:0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}



body{
    background-color: #333;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-size: 7vmin;
    position: relative;
    padding: 40px 0;
    overflow: hidden;
    min-height: 98vh;

}


#main {
    display: flex;
    flex-direction: column;
    gap: 40px;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100% ;
    overflow: hidden;
}


.btn{
    padding: 10px 20px;
    border-radius: 5px;
    border: none;
    box-shadow: 0 0 20px black;
    transition: all .4s;
    text-transform: uppercase;
    font-weight: 800;
    cursor: pointer;

}

.btn:hover{
    background-color: rgb(200, 250, 200);
}



#game-board{
    /* --grid-size: 4;
    --cell-size: 20vmin;
    --cell-gaps: 2vmin; */
    display: grid;
    grid-template-columns: repeat(var(--grid-size),var(--cell-size));
    grid-template-rows: repeat(var(--grid-size),var(--cell-size));
    background-color: #ccc;
    gap:var(--cell-gaps);
    padding: var(--cell-gaps);
    border-radius: 1vmin;
    position: relative;
    margin-top: 40px;

}


.cell{
    background-color: #AAA;
    border-radius: 1vmin;
    transition: 100ms ease-in-out;

}
#scoreboard{
    width: 100%;
    display: flex;
    align-items: center;
    position: absolute;
    top : 10px;
    left: 10px;
    z-index: 100;
    justify-content: space-evenly;
    font-size: 3vmin;
    padding-bottom: 10px;
    margin-bottom: 20px;
    /* border-bottom: 1px solid rgb(255, 255, 255); */
    color: white;
}

.lable{
    font-size: 1.9vmin;
    background-color: greenyellow;
    color: #333;
    font-weight: 700;
    padding: .3vmin .8vmin;

    border-radius: 100px;
    margin-bottom: 5px;
}

.results{
    padding-left: 5px;
}

.tile{
    --x:1;
    --y:3;
    --background-color:80%;
    --text_color:20%;
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    width:var(--cell-size);
    height:var(--cell-size);
    background-color: hsl(100,60% , var(--background-color));
    color: hsl(200, 25% , var(--text-color));
    border-radius: 1vmin;
    top:calc(var(--x)*(var(--cell-size) + var(--cell-gaps)) + var(--cell-gaps));
    left:calc(var(--y)*(var(--cell-size) + var(--cell-gaps)) + var(--cell-gaps));
    font-weight: bold;
    animation: show 200ms ease-in-out;
    transition: 100ms ease-in-out;
}

@keyframes show {
    0%{
        opacity:.3;
        transform: scale(0);
    }
}


#controls{
margin-top: 30px;
display: flex;
flex-wrap: wrap;
align-items: center;
justify-content: center;
gap:5px;
width: 80%;
}
